Page MenuHomePhabricator | MITK

Introduction of UIDs for data/nodes etc
Closed, ResolvedPublic

Description

Aim:

Introduction of UIDs for Objects in MITK (current scope Nodes and BaseData-derived ones). This should allow to uniquely reference/identify data (e.g. in the context of DICOM).

Event Timeline

floca created this task.Nov 17 2017, 9:33 AM
floca assigned this task to hentsch.Nov 17 2017, 4:18 PM

FYI, stumbled over mitk::UIDGenerator today.

floca added a comment.Nov 19 2017, 4:45 PM

Yes. Currently I use it in the domain specific solutions. But it got a very weak Implementation. If we use it, it should be reworked in T23741.

I also used a different UID-Generation in my SemanticRelations Module (based on boost/uuid). As this might not be necessary in the future when using UIDs for objects, it would be desirable to have a common UID Generator in MITK (see T14333).

I merged all branches of resolved subtasks into the branch of this task. UID generation is currently done by mitk::UIDGenerator. I suggest to improve/adapt this class to resolve the remaining subtask T23741: Specify default UID generation method.

kislinsk closed this task as Resolved.Dec 12 2017, 5:38 AM